RubyGems Navigation menu

signalfx 2.1.0

This is a programmatic interface in Ruby for SignalFx's metadata and ingest APIs. It is meant to provide a base for communicating with SignalFx APIs that can be easily leveraged by scripts and applications to interact with SignalFx or report metric and event data to SignalFx. Library supports Ruby 2.2.x+ versions

Versions:

  1. 3.2.0 - April 29, 2021 (21.5 KB)
  2. 3.1.1 - January 20, 2021 (21.5 KB)
  3. 3.1.0 - September 09, 2020 (22.5 KB)
  4. 3.0.0 - January 10, 2020 (22.5 KB)
  5. 2.1.0 - February 22, 2019 (22 KB)
Show all versions (13 total)

Runtime Dependencies (4):

Development Dependencies (7):

  • bundler ~> 1.10
  • faye-websocket ~> 0.10.7
  • pry >= 0
  • rake ~> 10.0
  • rspec ~> 3.3
  • thin ~> 1.7
  • webmock ~> 2.3.1
  • Owners:

    Authors:

    • SignalFx, Inc

    SHA 256 checksum:

    fe55d26f20c807917c77fed05d394083ea20a9490231a491e3bbcce6cfcec57c

    Total downloads 271,087

    For this version 43,189

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    Apache Software License v2 © SignalFx

    Required Ruby Version: >= 2.2.0

    Links: